import { http } from 'mocp/utils/http'

//获取机号列表
export const getAircraftNumbersApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/flight/getAircraftNumbers',
        data,
        config
    })
}

//获取所有敏感词
export const getBasicParamsListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/getBasicParamsList',
        data,
        config
    })
}
//获取航站列表
export const getAircraftTerminalsApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/flight/getAircraftTerminals',
        data,
        config
    })
}
export const getAirLinesListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/getAirlineList',
        data,
        config
    })
}
//获取航班号
export const getFlightNumApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/flight/getFlightNum',
        data,
        config
    })
}
//获取mcc机型
export const getPlaneModelsRepairApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/flight/getPlaneModelsRepair',
        data,
        config
    })
}
//获取ATA章节
export const getATAApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getATA',
        data,
        config
    })
}
//获取发动机列表
export const getEngineListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/resource/getEngineList',
        data,
        config
    })
}
